Bug 167912 - [ipr] Unclear licensing for some db4 files
[ipr] Unclear licensing for some db4 files
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: db4 (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-09 10:55 EDT by Imed Chihi
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-09 11:30:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Imed Chihi 2005-09-09 10:55:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
The source RPM of db4 (at least on version 4.1.25-8.1) contains seven (07) files with an unclear licensing: only a copyright statement is mentioned but no license to use or distribute, the problematic files are:

db-4.1.25/db-4.1.25/build_win32/dllmain.c
=========================================
 /*
  *  --------------------------------------------------------------------------
  *Copyright (C) 1997 Netscape Communications Corporation
  *  --------------------------------------------------------------------------
  *
  *  dllmain.c


db-4.1.25/crypto/mersenne/mt19937db.c
=====================================
 #include "db_config.h"
 
 #ifndef lint
 static const char revid[] = "$Id: mt19937db.c,v 1.8 2002/03/27 04:31:10 bostic Exp $";
 #endif /* not lint */
 
 #include "db_int.h"
 #include "dbinc/crypto.h"
 #include "dbinc/hmac.h"
 #include "dbinc/mutex.h"
 #include "dbinc_auto/os_ext.h"
 
 /* A C-program for MT19937: Integer version (1999/10/28)          */
 /*  genrand() generates one pseudorandom unsigned integer (32bit) */
 /* which is uniformly distributed among 0 to 2^32-1  for each     */
 /* call. sgenrand(seed) sets initial values to the working area   */
 /* of 624 words. Before genrand(), sgenrand(seed) must be         */
 /* called once. (seed is any 32-bit integer.)                     */
 /*   Coded by Takuji Nishimura, considering the suggestions by    */
 /* Topher Cooper and Marc Rieffel in July-Aug. 1997.              */
 
 /* This library is free software under the Artistic license:       */
 /* see the file COPYING distributed together with this code.       */
 /* For the verification of the code, its output sequence file      */
 /* mt19937int.out is attached (2001/4/2)                           */

 /* Copyright (C) 1997, 1999 Makoto Matsumoto and Takuji Nishimura. */
 /* Any feedback is very welcome. For any question, comments,       */
 /* see http://www.math.keio.ac.jp/matumoto/emt.html or email       */
 /* matumoto@math.keio.ac.jp                                        */
 
 /* REFERENCE                                                       */
 /* M. Matsumoto and T. Nishimura,                                  */
 /* "Mersenne Twister: A 623-Dimensionally Equidistributed Uniform  */
 /* Pseudo-Random Number Generator",                                */
 /* ACM Transactions on Modeling and Computer Simulation,           */
 /* Vol. 8, No. 1, January 1998, pp 3--30.                          */


db-4.1.25/db-4.1.25/docs/ref/refs/hash_usenix.ps
db-4.1.25/db-4.1.25/docs/ref/refs/libtp_usenix.ps
db.1.85/db.1.85/docs/hash.usenix.ps
db.1.85/db.1.85/docs/libtp.usenix.ps
====================================
 %%EndComments
 %@(#)psdit.pro1.3 4/15/88
 % lib/psdit.pro -- prolog for psdit (ditroff) files
 % Copyright (c) 1984, 1985 Adobe Systems Incorporated. All Rights Reserved.
 % last edit: shore Sat Nov 23 20:28:03 1985
 % RCSID: $Header: psdit.pro,v 2.1 85/11/24 12:19:43 shore Rel $


db-4.1.25/db-4.1.25/docs/sleepycat/legal.html
=============================================
 Copyright (c) 1990-2002 Sleepycat Software, Inc., 118 Tower Rd.,
 Lincoln, MA 01773, U.S.A. All Rights Reserved.


This may be a concern for some OEM vendors shipping Red Hat Enterprise Linux.

 -Imed

Version-Release number of selected component (if applicable):
Checked with db4-4.1.25-8.1, should apply to other versions

How reproducible:
Always

Steps to Reproduce:
1. up2date --get-source db4
2. rpm -Uvh /var/spool/up2date/db4-4.1.25-8.1.src.rpm
3. cd /usr/src/redhat/SPECS/
4. rpmbuild -bp db4.spec
5. cd /usr/src/redhat/BUILD/db-4.1.25/
6. View the above mentioned files

Actual Results:  No mention of the license under which the above-mnetioned files may be used and distributed.

Expected Results:  A clear mention of the usage and distribution license (GPL?) on all seven files.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.